Subject: bug#37667: 27.0.50; Tab Bar display problems with more than 5 tabs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Oct 2019 09:26:22 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 15 Oct 2019 00:50:56 +0300
> 
> > Please make the :height attribute smaller, like 0.9.  The current
> > value of 1.1 produces too large tab names.
> 
> So I changed :height to 0.9 (tab-line tabs should have
> smaller height because they are more local).

Thanks.

> > Btw, as long as we are optimizing the tab-bar appearance: I think the
> > choice of the colors of the current and non-current tabs should be
> > reversed: the lighter color is more appropriate for "inactive" than
> > the darker one.  Alternatively, use some non-gray color for the
> > current tab (I personally think these gray colors are too dull).
> 
> The current color scheme is the same as used in Web browsers where the
> current tab has the lighter color, so users are accustomed to such
> palette.  Here is comparison of colors (at the bottom is Chromium):

Chromium has additional visual queues for the current tab (as do other
browsers), while we don't.  So the color is much less important for
the browsers than it is for us, because in Emacs the color is
currently the _only_ indication of the current tab.